CW
POST/app-api/v1/feed/posts/{id}/meta

Update post like meta

Parameters

NameInRequiredDescription
idpathYes
x-request-idheaderNoOptional correlation id. Generated when omitted.

Request Body

PostMetaDtoobject
like_unlikestring

Like or unlike the poster

bookmarknumber

Bookmark flag (accepted; schema has no bookmark column)

Related Schemas

PostMetaDto
like_unlikestring

Like or unlike the poster

bookmarknumber

Bookmark flag (accepted; schema has no bookmark column)

Code samples

Generated from the current environment and the request configured in the Try-it panel.

curl -X POST 'https://app-api.crwilladmin.com/app-api/v1/feed/posts/{id}/meta' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'apptype: android' \
  -H 'appver: 1.0.0' \
  -H 'webver: 1.0.0' \
  -H 'portalver: 1.0.0' \
  -H 'x-request-id: 00000000-0000-4000-8000-000000000000' \
  -d '{
  "like_unlike": "like",
  "bookmark": 0
}' \